Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.compendium.internal.cm
Class DefaultManagedServiceBeanManager

    java.lang.Object
      org.eclipse.gemini.blueprint.compendium.internal.cm.DefaultManagedServiceBeanManager

All Implemented Interfaces:
  ManagedServiceBeanManager, org.springframework.beans.factory.DisposableBean

    public class DefaultManagedServiceBeanManager

extends Object
implements org.springframework.beans.factory.DisposableBean, ManagedServiceBeanManager

Default implementation for `ManagedServiceBeanManager`.

Author:
  Costin Leau

Constructor Summary
`DefaultManagedServiceBeanManager(boolean autowireOnUpdate, String methodName, org.eclipse.gemini.blueprint.compendium.internal.cm.ConfigurationAdminManager cam, org.springframework.beans.factory.BeanFactory beanFactory)`

Method Summary
`void` | `destroy()`
`Object` | `register(Object bean)` Registers the given Spring-managed bean instance with the manager.
`void` | `unregister(Object bean)` Deregisters the given Spring-managed instance from the manager.
`void` | `updated(Map properties)` Re-applies injection on the Spring-managed instances using the given properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultManagedServiceBeanManager

    public DefaultManagedServiceBeanManager(boolean autowireOnUpdate,
                                            String methodName,
                                            org.eclipse.gemini.blueprint.compendium.internal.cm.ConfigurationAdminManager cam,
                                            org.springframework.beans.factory.BeanFactory beanFactory)

Method Detail

### register

    public Object register(Object bean)

  Description copied from interface: `ManagedServiceBeanManager`
  Registers the given Spring-managed bean instance with the manager. The manager will apply any existing configuration to the given bean and return the newly configured instance back.

  Specified by:
    `register` in interface `ManagedServiceBeanManager`
  Parameters:
    `bean` - Spring-managed bean instance
  Returns:
    reinjected bean instace

### unregister

    public void unregister(Object bean)

  Description copied from interface: `ManagedServiceBeanManager`
  Deregisters the given Spring-managed instance from the manager. Once deregistered, no configuration updates will be propagated to the given instance.

  Specified by:
    `unregister` in interface `ManagedServiceBeanManager`

### updated

    public void updated(Map properties)

  Description copied from interface: `ManagedServiceBeanManager`
  Re-applies injection on the Spring-managed instances using the given properties.

  Specified by:
    `updated` in interface `ManagedServiceBeanManager`
  Parameters:
    `properties` - new properties

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.springframework.beans.factory.DisposableBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.